
function f = IWT2_2GLS(x,y,w,tri,poslist,I)

% usage: f = IWT2_2GLS(x,y,w,tri,poslist,I);
% input:
% ------
% x,y : equally sized vectors with grid point locations
% w : wavelet coefficients
% tri : multiscale mesh, associated with wavelet decomposition
% poslist: list of grid point locations, removed during the forward transform
% and to be re-introduced in inverse transform
% I: integral of coarsest scaling function associated with each grid point
%
% output:
% -------
% f : function value

wsize = size(w);
x = column(x);
y = column(y);
w = column(w);
M = length(poslist);
for j = M:-1:1
   v0 = poslist(j);
   [w, I] = invstepLS(tri,x,y,v0,j,w,I);
end
f = reshape(w,wsize);
