
function Q = cormatWTLS(x,y,C,tri,poslist)

% usage: Q = cormatWTLS(x,y,C,tri,poslist);
% computes correlation matrix for given wavelet transform. The wavelet
% transform is determined by the multiresolution trinagularization tri and
% the order in which data points are being transformed. This order appears in
% poslist. Both tri and poslist are outputs of the function FWT2_2G.m

C = sparse(C);
Q = C;
tri0 = tri;
if size(tri,2) > 3,
   t = find(tri(:,4)==0);
   tri0 = tri(t,:);
end
% initial scaling function integrals must be computed in non-multiscale
% triangulation !! (May 2002)
I = initint2(tri0,x,y);
M = length(poslist);
for j = 1:M
   v0 = poslist(j);
   [Wtstep, I] = onestepmatrixLS(tri,x,y,v0,j,I);
   Q = Wtstep*Q*Wtstep';
end
