
function B = edginside(e,points,x,y)

% usage: B = edginside(e,points,x,y);
% boolean: checks whether an edge is in the interior of a set of points
% points is an integer vector of length at least 3. x and y contain grid
% positions. length(x) = length(y) must be at least the highest entry of
% points. e is a tuple of integers, also indicating points in the lists x and
% y; e must be a subset of points
% the order in which the points appear in points is important!!
% cfr: lininside.m

x1 = x(e(1));
x2 = x(e(2));
y1 = y(e(1));
y2 = y(e(2));
n = length(points);
x3 = x(points(n));
x4 = x(points(1));
y3 = y(points(n));
y4 = y(points(1));
B = intersecempty(x1,y1,x2,y2,x3,y3,x4,y4);
for k = 1:n-1
   x3 = x(points(k));
   x4 = x(points(k+1));
   y3 = y(points(k));
   y4 = y(points(k+1));
   B = B & intersecempty(x1,y1,x2,y2,x3,y3,x4,y4); 
end
xx = mean([x1 x2]);
yy = mean([y1 y2]);
B = B & pointinside(xx,yy,points,x,y);
for k = 1:n
   B = B & ~pointinedge(points(k),e,x,y);
end
