
function I = initint2(tri,x,y);

% usage: I = initint2(tri,x,y);
% initializes scaling functions integrals at finest scale
% tri has same length as x and y and must have at least 3 columns. If tri has 
% more than 3 columns, only columns 1 to 3 are taken into account.

x = row(x);
y = row(y);
A = abs(areatri(tri,x,y));
N = length(x);
I = zeros(1,N);
for t = 1:size(tri,1)
  for k = 1:3
    I(tri(t,k)) = I(tri(t,k)) + A(t)/3;
  end
end
I = abs(I);
B = triboundary(tri);
r = anglesboundary(B,x,y)/(2*pi);
I(B) = I(B)/r;
