function [a,b] = linLS1d(X,Y);

% usage: [a,b] = linLS1d(X,Y);
% linear least squares - 1D for data (X,Y)
% a and b are intercept and slope of fitting line: y = a + bx
% Y may be a matrix, but longest dimension should correspond to length(X);
% see also: linerrinvar.m (errors-in-variables/total least squares)

X = column(X);
Y = column(Y);
x = mean(X);
y = mean(Y);
xx = sum(X.^2);
yy = sum(Y.^2);
xy = X'*Y;
n = length(X);

ssxx = xx - n*x^2;
ssyy = yy - n*y.^2;
ssxy = xy - n*x*y;
b = ssxy/ssxx;
a = y - b*x;
