
function f = linLSpol(x,y,X,Y,F);

% usage: f = linLSpol(x,y,X,Y,F);
% computes least square plane
% X,Y,F are the input data
% (x,y) are the coordinates in which plane is evaluated
% 2D polyniomial interpolation.
% x and y may be vectors
% F may be a matrix, but longest dimension should correspond to length(X)

N = length(X);
X = column(X);
Y = column(Y);
F = column(F);
if N == 1,
   f = F*ones(size(x));
elseif N == 2,
   vec1 = [column(x)-X(1) column(y)-Y(1)];
   vec2 = [X(2)-X(1) Y(2)-Y(1)];
   r = (vec1*vec2')'./ norm(vec2)^2; 
   f = F(1,:) * (1-r) + F(2,:) * r;
else
   M = length(x);
   x = column(x);
   y = column(y);
   XY = ones(N,3);
   xy = ones(M,3);
   XY(:,2) = X;
   XY(:,3) = Y;
   xy(:,2) = x;
   xy(:,3) = y; 
   A = XY'*XY;
   a = A\(XY'*F);
   f = xy*a;
end
