
function vhat = posmedianJS(w,p);

% usage: vhat = posmedianJS(w,p);
% w is wavelet coefficient
% p is PRIOR probability that this coefficient is important
% This procedure calls poscump0caulik1, which computes the posterior
% probability

ws = sign(w);
w = abs(w);
v0 = 0;
v1 = w;
eps = 0.001*w;
F0 = poscump0caulik1(v0,w,p);
if (F0 > 0.5)
   vhat = 0;
else
   while (v1-v0)>eps
      v = (v0+v1)/2;
      F = poscump0caulik1(v,w,p);
      if (F > 0.5)
         v1 = v;
      else
         v0 = v;
      end
   end
vhat = ws*(v0+v1)/2;
end
